---
title: GET /workflows/{workflow_id}
slug: content-marketing-platform/api/get-workflowsworkflowid
docTags: 
createdAt: 2026-10-01T18:51:26.265Z
---

{
  "id": "gxIykGlUQ6KkwtB9SenJM",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.cmp.optimizely.com/v3/workflows/{workflow_id}",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/workflows/{workflow_id}",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "GET /workflows/{workflow_id}",
    "description": "<p>Experimental Get a workflow by ID.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "workflow_id",
          "type": "string",
          "example": "5fe4925ef8a9378056bf4e37",
          "description": "Unique identifier of the workflow"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Fetched workflow",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "WorkflowResponse",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "string",
                "description": "Unique identifier of the workflow",
                "example": "6e7f910551b00a722e04188"
              },
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Name of the workflow",
                "example": "The awesome workflow"
              },
              {
                "name": "description",
                "kind": "required",
                "type": "string",
                "nullable": true,
                "description": "Description of the workflow",
                "example": "Nice description"
              },
              {
                "name": "is_active",
                "kind": "required",
                "type": "boolean",
                "description": "Indicates whether the workflow is active",
                "example": true
              },
              {
                "name": "is_flexible",
                "kind": "required",
                "type": "boolean",
                "description": "Indicates whether the workflow is flexible",
                "example": true
              },
              {
                "name": "is_smart_duration_enabled",
                "kind": "required",
                "type": "boolean",
                "description": "Indicates whether the smart duration of a workflow is enabled",
                "example": true
              },
              {
                "name": "is_asset_approval_enabled",
                "kind": "required",
                "type": "boolean",
                "description": "Indicates whether the asset approval of a workflow is enabled",
                "example": true
              },
              {
                "name": "is_resource_management_enabled",
                "kind": "required",
                "type": "boolean",
                "description": "Indicates whether the resource management of a workflow is enabled",
                "example": true
              },
              {
                "name": "steps",
                "kind": "required",
                "type": "array",
                "description": "List of steps",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "description": "Identifier of the step",
                    "example": "6e7f910551b00a722e04181"
                  },
                  {
                    "name": "name",
                    "kind": "required",
                    "type": "string",
                    "description": "Name of the step",
                    "example": "Step 1"
                  },
                  {
                    "name": "sub_steps",
                    "kind": "required",
                    "type": "array",
                    "description": "<p>List of sub-steps</p>",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>Identifier of the sub-step</p>",
                        "example": "6e7f910551b00a722e04182"
                      },
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>Name of the sub-step</p>",
                        "example": "Step 1 Substep 1"
                      },
                      {
                        "name": "actions",
                        "kind": "required",
                        "type": "array",
                        "description": "<p>List of actions of a sub-step</p>",
                        "example": "[{\"name\":\"Approve\"},{\"name\":\"Find Content\"},{\"name\":\"Write/Edit Content\"},{\"name\":\"Publish\"},{\"name\":\"Set Publish Destination\"},{\"name\":\"Edit Fields\"},{\"name\":\"Set Publish Date\"},{\"name\":\"Write/Edit Share\"},{\"name\":\"Select Image\"}]",
                        "itemType": "object",
                        "customType": "object[]",
                        "schema": [
                          {
                            "name": "name",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the action",
                            "example": "Approve"
                          }
                        ]
                      },
                      {
                        "name": "type",
                        "kind": "required",
                        "type": "string<default | external>",
                        "description": "<p>Type of the sub-step</p>",
                        "example": "default",
                        "enum": [
                          "default",
                          "external"
                        ]
                      },
                      {
                        "name": "assignees",
                        "kind": "required",
                        "type": "array",
                        "description": "<p>List of assignees of a sub-step</p>",
                        "example": "",
                        "itemType": "object",
                        "customType": "object[]",
                        "schema": [
                          {
                            "name": "id",
                            "kind": "required",
                            "type": "string",
                            "description": "<p>Identifier of the sub-step assignee</p>",
                            "example": "6e7f910551b00a722e04182"
                          },
                          {
                            "name": "name",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the assignee",
                            "example": "Ned Stark"
                          },
                          {
                            "name": "type",
                            "kind": "required",
                            "type": "string<user | team>",
                            "description": "Type of the assignee",
                            "example": "user",
                            "enum": [
                              "user",
                              "team"
                            ]
                          },
                          {
                            "name": "links",
                            "kind": "required",
                            "type": "object",
                            "description": "Meta links",
                            "example": "",
                            "schema": [
                              {
                                "name": "self",
                                "kind": "required",
                                "type": "string",
                                "description": "URL of the assignee",
                                "example": "https://api.cmp.optimizely.com/v3/users/6e7f910551b00a722e04182"
                              }
                            ]
                          }
                        ]
                      }
                    ]
                  }
                ]
              },
              {
                "name": "fields",
                "kind": "required",
                "type": "object",
                "description": "List of fields",
                "modelRef": "#/components/schemas/ObjectFieldCreateResponse",
                "customType": "ObjectFieldCreateResponse[]",
                "schema": [],
                "complexType": "oneOf",
                "complexItems": [
                  {
                    "name": "FieldTypeCommon",
                    "description": "",
                    "modelRef": "#/components/schemas/FieldTypeCommon",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": "Identifier of the field",
                        "example": "64be245ec0d79e79fdf1ad84"
                      },
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the field",
                        "example": "Dropdown 101"
                      },
                      {
                        "name": "values",
                        "kind": "required",
                        "type": "array",
                        "description": "List of selected values or from user input",
                        "example": "",
                        "itemType": "undefined",
                        "customType": "undefined[]",
                        "itemExample": "",
                        "itemDefault": ""
                      },
                      {
                        "name": "type",
                        "kind": "required",
                        "type": "string",
                        "description": "Type of the field",
                        "example": "text"
                      }
                    ]
                  },
                  {
                    "name": "FieldTypeLabel",
                    "description": "",
                    "modelRef": "#/components/schemas/FieldTypeLabel",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": "Identifier of the field",
                        "example": "64be245ec0d79e79fdf1ad84"
                      },
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the field",
                        "example": "Dropdown 101"
                      },
                      {
                        "name": "values",
                        "kind": "required",
                        "type": "array",
                        "description": "List of selected values or from user input",
                        "example": "",
                        "itemType": "undefined",
                        "customType": "undefined[]",
                        "itemExample": "",
                        "itemDefault": ""
                      },
                      {
                        "name": "type",
                        "kind": "required",
                        "type": "string",
                        "description": "Type of the field",
                        "example": "text"
                      },
                      {
                        "name": "is_multi_select",
                        "kind": "required",
                        "type": "boolean",
                        "description": "Select multiple values from the label"
                      },
                      {
                        "name": "choices",
                        "kind": "required",
                        "type": "array",
                        "description": "Choices of the label",
                        "example": "",
                        "itemType": "undefined",
                        "customType": "undefined[]",
                        "itemExample": "",
                        "itemDefault": ""
                      }
                    ]
                  },
                  {
                    "name": "FieldTypeDropdown",
                    "description": "",
                    "modelRef": "#/components/schemas/FieldTypeDropdown",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": "Identifier of the field",
                        "example": "64be245ec0d79e79fdf1ad84"
                      },
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the field",
                        "example": "Dropdown 101"
                      },
                      {
                        "name": "values",
                        "kind": "required",
                        "type": "array",
                        "description": "List of selected values or from user input",
                        "example": "",
                        "itemType": "undefined",
                        "customType": "undefined[]",
                        "itemExample": "",
                        "itemDefault": ""
                      },
                      {
                        "name": "type",
                        "kind": "required",
                        "type": "string",
                        "description": "Type of the field",
                        "example": "text"
                      },
                      {
                        "name": "is_multi_select",
                        "kind": "required",
                        "type": "boolean",
                        "description": "Select multiple values from the dropdown"
                      },
                      {
                        "name": "choices",
                        "kind": "required",
                        "type": "array",
                        "description": "Choices of the dropdown",
                        "example": "",
                        "itemType": "undefined",
                        "customType": "undefined[]",
                        "itemExample": "",
                        "itemDefault": ""
                      }
                    ]
                  },
                  {
                    "name": "FieldTypeRadio",
                    "description": "",
                    "modelRef": "#/components/schemas/FieldTypeRadio",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": "Identifier of the field",
                        "example": "64be245ec0d79e79fdf1ad84"
                      },
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the field",
                        "example": "Dropdown 101"
                      },
                      {
                        "name": "values",
                        "kind": "required",
                        "type": "array",
                        "description": "List of selected values or from user input",
                        "example": "",
                        "itemType": "undefined",
                        "customType": "undefined[]",
                        "itemExample": "",
                        "itemDefault": ""
                      },
                      {
                        "name": "type",
                        "kind": "required",
                        "type": "string",
                        "description": "Type of the field",
                        "example": "text"
                      },
                      {
                        "name": "choices",
                        "kind": "required",
                        "type": "array",
                        "description": "Choices of the radio button",
                        "example": "",
                        "itemType": "undefined",
                        "customType": "undefined[]",
                        "itemExample": "",
                        "itemDefault": ""
                      }
                    ]
                  },
                  {
                    "name": "FieldTypeCheckbox",
                    "description": "",
                    "modelRef": "#/components/schemas/FieldTypeCheckbox",
                    "schema": [
                      {
                        "name": "",
                        "description": "",
                        "customType": "Max depth limit reached"
                      }
                    ]
                  },
                  {
                    "name": "FieldTypeSimpleNumber",
                    "description": "",
                    "modelRef": "#/components/schemas/FieldTypeSimpleNumber",
                    "schema": [
                      {
                        "name": "",
                        "description": "",
                        "customType": "Max depth limit reached"
                      }
                    ]
                  },
                  {
                    "name": "FieldTypePercentageNumber",
                    "description": "",
                    "modelRef": "#/components/schemas/FieldTypePercentageNumber",
                    "schema": [
                      {
                        "name": "",
                        "description": "",
                        "customType": "Max depth limit reached"
                      }
                    ]
                  },
                  {
                    "name": "FieldTypeCurrencyNumber",
                    "description": "",
                    "modelRef": "#/components/schemas/FieldTypeCurrencyNumber",
                    "schema": [
                      {
                        "name": "",
                        "description": "",
                        "customType": "Max depth limit reached"
                      }
                    ]
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/WorkflowResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Authorization error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unauthorized\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Permission error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"You do not have the permission to perform this operation\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not found error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Resource not found\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "BBSuTHwc_Ty75G93Vb7LL",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.cmp.optimizely.com/v3/workflows/{workflow_id} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "cdwrrp4urDzJymueswl6m",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/workflows/{workflow_id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "9sWp3mAFLX82xA8dpOv2u",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/workflows/{workflow_id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "ZlQ-9EYrVmJ_T30kWip3I",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/workflows/{workflow_id}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "BBSuTHwc_Ty75G93Vb7LL"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Fetched workflow\n{\n  \"id\": \"6e7f910551b00a722e04188\",\n  \"name\": \"The awesome workflow\",\n  \"description\": \"Nice description\",\n  \"is_active\": true,\n  \"is_flexible\": true,\n  \"is_smart_duration_enabled\": true,\n  \"is_asset_approval_enabled\": true,\n  \"is_resource_management_enabled\": true,\n  \"steps\": [\n    {\n      \"id\": \"6e7f910551b00a722e04181\",\n      \"name\": \"Step 1\",\n      \"sub_steps\": [\n        {\n          \"id\": \"6e7f910551b00a722e04182\",\n          \"name\": \"Step 1 Substep 1\",\n          \"actions\": [\n            {\n              \"name\": \"Approve\"\n            }\n          ],\n          \"type\": \"default\",\n          \"assignees\": [\n            {\n              \"id\": \"6e7f910551b00a722e04182\",\n              \"name\": \"Ned Stark\",\n              \"type\": \"user\",\n              \"links\": {\n                \"self\": \"https://api.cmp.optimizely.com/v3/users/6e7f910551b00a722e04182\"\n              }\n            }\n          ]\n        }\n      ]\n    }\n  ],\n  \"fields\": {}\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Authorization error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Permission error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not found error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}